package com.thebrokenrail.obsidianspawn;

import net.minecraft.util.math.BlockPos;
import net.minecraft.util.math.Direction;
import net.minecraft.util.math.Vec3d;
import net.minecraft.world.WorldView;

import java.util.Optional;

public class ObsidianSpawn {
	public static Optional<Vec3d> checkPosition(WorldView world, BlockPos spawnPos) {
		Optional<Vec3d> out = Optional.empty();
		BlockPos pos = spawnPos.offset(Direction.UP);
		if (world.getBlockState(pos).isAir() && world.getBlockState(pos.offset(Direction.UP)).isAir()) {
			out = Optional.of(new Vec3d((double) pos.getX() + 0.5d, pos.getY(), (double) pos.getZ() + 0.5d));
		}
		return out;
	}
}
